<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');
include_once('../../../php/maxExecTime.php');

$empCod = $_SESSION['empCod'];
$empNom = $_SESSION['empNom'];
$empNit = $_SESSION['empNit'];

# QUERYS
$sBodegas = "SELECT * FROM bodegas where bod_emp='$empCod' ORDER BY bod_cod";

# EJECUCION DE QUERYS
$db = new dbExec();
$select["bodegas"] = $db->query($sBodegas);
$db->close();

?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-file-excel"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');

        $modalImp = "modalImp";
        include_once('../../../php/includes/modalImp.php');
      ?>
      <div class="container-as">
        <div class="row">
          <div class="col">
            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Kardex de un Articulo</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="pills-1-tab" data-toggle="pill" href="#pills-1" role="tab" aria-controls="pills-1" aria-selected="true">Buscar Articulos</a>
              </li>
            </ul>

            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">
                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-group">
                    <div class="form-row">
                      <div class="col-md-3">
                        <label class="font-size-sm text-success" for="txtCodd">Código</label>
                        <input type="text" class="form-control form-control-sm form-control-as" id="txtCodd" maxlength="20">
                      </div>
                      <div class="col-sm-9 col-md-7">
                        <label class="font-size-sm text-success" for="txtDescd">Descripción del Articulo</label>
                        <input type="text" class="form-control form-control-sm form-control-as" id="txtDescd" maxlength="120" disabled>
                      </div>
                    </div>
                    <div class="form-row">
                      <div class="col-8">
                        <label class="font-size-sm" for="selBodega">De que Bodega</label>
                        <select class="form-control form-control-sm form-control-as" name="selBodega" id="selBodega">
                          <?php
                            while ($rec = $db->fetchAssoc($select['bodegas'])) {
                              echo  '<option value="'.$rec['bod_cod'].'">'.utf8_encode($rec['bod_nom']).'</option>';
                            }
                          ?>
                        </select>
                      </div>
                    </div>
                    <div class="form-row align-items-end mt-3">
                      <div class="col-5">
                        <label for="dtFecI" class="font-size-lg">Fecha Inicial</label>
                        <input type="date" class="form-control form-control-sm form-control-as font-size-lg" id="dtFecI" placeholder="">
                      </div>
                      <div class="col-5">
                        <label for="dtFecF" class="font-size-lg">Fecha Final</label>
                        <input type="date" class="form-control form-control-sm form-control-as font-size-lg" id="dtFecF" placeholder="">
                      </div>
                    </div>
                    <div class="form-row align-items-end mt-3">
                    </div>
                  </div>

                  <h3 class="text-light"></h3>

                  <div class="form-group">
                    <div class="form-row">
                      <div class="form-group col-5">
                        <button class="btn btn-primary btn-lg btn-block" id="btnImprimir" type="button">Imprimir</button>
                      </div>
                      <div class="form-group col-5">
                        <button class="btn btn-success btn-lg btn-block" id="btnExcel" type="button">Excel</button>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
              <div class="tab-pane fade" id="pills-1" role="tabpanel" aria-labelledby="pills-1-tab">
                <?php
                  $a='0';
                  $b='1';
                  include('../busArtic/index.html');
                ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  var pressEnter = false;
  var nuevo = true;
  var inputNext = "selBodega";
  var inputArtic = "txtCodd";

  const dtFecI = document.thisform.dtFecI;
  const dtFecF = document.thisform.dtFecF;
  const txtCodd = document.thisform.txtCodd;
  const txtDescd = document.thisform.txtDescd;
  const selBodega = document.thisform.selBodega;
    
  function limpiar(){
  }

  function restriccionCamposVacios() {
    if (isNullPer(txtCodd.value)) {
      txtCodd.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar EL CODIGO DEL ARTICULO"}});
      return true;
    }
    return false;
  }


  $(document).ready(function() {
    $(this).find('input:visible:first').focus();

    dtFecI.value = dateToday();
    dtFecF.value = dateToday();
    txtCodd.value = "";
    txtDescd.value = "";
    

    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });


    // VALID CODIGO
    $("#txtCodd")
    .focus(function() {
      inputArtic = $(this).attr('id');
      txtCodd.value="";
      txtDescd.value = "";
    })
    .keydown(function(e){
      if(ctrlBus(e)) { document.getElementById("pills-1-tab").click(); }
    })
    .change(function (){
      txtThis = this;
      const parametros = new FormData();
      parametros.append("action", "consultarArtic");
      parametros.append("txtCodd", txtCodd.value);

      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        success: function (jsonPhp) {
          //console.log(jsonPhp);
          const jsonJS = JSON.parse(jsonPhp);

          if(jsonJS.error == true){
            alError(jsonJS);
            nuevoArtic = true;
          } else {
            if (jsonJS.artic === null) {
              nuevoArtic = true;
              txtCodd.focus();
              txtDescd.value = "";
              alWarning({"msg":{"title":"No Existe","text":"Este Articulo no existe, debe registrarlo"}});
               return true;
            } else {
              txtCodd.value = jsonJS.artic.art_cod;
              txtDescd.value = jsonJS.artic.art_desc;
              nuevoArtic = false;
            }
          }
        }
      });
    });

    // VALID CODIGO
    $("#dtFecI")
    .focus(function() {
      restriccionCamposVacios();
    });

    $("#dtFecF")
    .focus(function() {
      restriccionCamposVacios();
    });

    // CLICK IMPRIMIR
    $("#btnImprimir").click(function (){
      if (isNullPer(txtCodd.value)) {
        txtCodd.focus();
        alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar EL CODIGO DEL ARTICULO"}});
        return true;
      }

      const parametros = new FormData();
      parametros.append("action", "imprimir");
      parametros.append("dtFecI", dtFecI.value);
      parametros.append("dtFecF", dtFecF.value);
      parametros.append("txtCodd", txtCodd.value);
      parametros.append("txtDescd", txtDescd.value);
      parametros.append("selBodega", selBodega.value);
      parametros.append("BodegaNom", $("#selBodega option:selected").text());
      
      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        beforeSend: function () {
        },
        success: function (jsonPhp) {
          var url = window.location.origin+window.location.pathname+"print.php";
          window.open(url, '_blank');
        }
      });
    });

    // CLICK EXCEL
    $("#btnExcel").click(function (){
      if (isNullPer(txtCodd.value)) {
        txtCodd.focus();
        alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar EL CODIGO DEL ARTICULO"}});
        return true;
      }

      const parametros = new FormData();
      parametros.append("action", "imprimir");
      parametros.append("dtFecI", dtFecI.value);
      parametros.append("dtFecF", dtFecF.value);
      parametros.append("txtCodd", txtCodd.value);
      parametros.append("txtDescd", txtDescd.value);
      parametros.append("selBodega", selBodega.value);
      parametros.append("BodegaNom", $("#selBodega option:selected").text());
      
      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        beforeSend: function () {
        },
        success: function (jsonPhp) {
          var url = window.location.origin+window.location.pathname+"excel.php";
          window.location.href = url;
        }
      });
    });
  });

  // FOCUS PILL
  $('a[data-toggle="pill"]').on('shown.bs.tab', function (e) {
    if (!isMobile()) {
      const target = e.target.attributes.href.value;
      const relatedTarget = e.relatedTarget.attributes.href.value;

      if ((target != "#pills-0")) {
        $(target+' input:visible:first').focus();
      } else {
        (relatedTarget == "#pills-1") ? $('#'+inputNext).focus() : 0;
      }
    }
  });

</script>